<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script> 
     /*    class animal {
            constructor() {
                console.warn("Ha nacido un pato");
            }

            Hablar() {
                return "Cuak";
            }
        }

        var pato = new animal();
        pato.Hablar();

        var donald = new animal();
        donald.Hablar();
 */

        class Clase {
          constructor() {
              this.name = 'luis';
              console.log('Constructor ' + this.name);
          }

          metodo() {
              console.log('Método '+ this.name);
          }
        }

        var c = new Clase();

       console.log(c.name);
        c.metodo(); 
        </script>
</body>
</html>